
package com.tmerclub.cloud.common.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 规格组合商品管理表VO
 *
 * @author lhd
 * @date 2023-11-06 11:00:41
 */
public class SkuComboVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "主商品id")
    private Long spuId;

    @Schema(description = "组合的skuid")
    private Long comboSkuId;

    @Schema(description = "图片")
    private String imgUrl;
    @Schema(description = "组合数量")
    private Integer comboCount;
    @Schema(description = "组合总价")
    private Long totalComboAmount;

    @Schema(description = "商品id")
    private Long comboSpuId;
    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "规格名称")
    private String skuName;

    @Schema(description = "原销售价")
    private Long priceFee;

    @Schema(description = "库存")
    private Integer stock;

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Long getTotalComboAmount() {
        return totalComboAmount;
    }

    public void setTotalComboAmount(Long totalComboAmount) {
        this.totalComboAmount = totalComboAmount;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public Long getComboSpuId() {
        return comboSpuId;
    }

    public void setComboSpuId(Long comboSpuId) {
        this.comboSpuId = comboSpuId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Long getPriceFee() {
        return priceFee;
    }

    public void setPriceFee(Long priceFee) {
        this.priceFee = priceFee;
    }

    public Integer getComboCount() {
        return comboCount;
    }

    public void setComboCount(Integer comboCount) {
        this.comboCount = comboCount;
    }
    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getComboSkuId() {
        return comboSkuId;
    }

    public void setComboSkuId(Long comboSkuId) {
        this.comboSkuId = comboSkuId;
    }

    @Override
    public String toString() {
        return "SkuComboVO{" +
                "skuId=" + skuId +
                ", spuId=" + spuId +
                ", comboSkuId=" + comboSkuId +
                ", imgUrl='" + imgUrl + '\'' +
                ", comboCount=" + comboCount +
                ", totalComboAmount=" + totalComboAmount +
                ", comboSpuId=" + comboSpuId +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", priceFee=" + priceFee +
                ", stock=" + stock +
                '}';
    }
}
